<template>
  <main>
    <h1 class="my-4">
      About ANCORE
    </h1>

    <p class="my-4">
      This platform is part of the
      <a
        rel="external"
        href="https://team.inria.fr/cedar/contentcheck/"
      >
        ContentCheck
      </a>
      project.
    </p>

    <p class="my-4">
      It is currently running on a Intel® Xeon® CPU E5-2680 v4 @ 2.40GHz.
    </p>

    <p class="my-4">
      The datasets used were extracted from
      <a
        rel="external"
        href="http://parltrack.euwiki.org"
      >
        Parltrack
      </a>
      and adapted to our needs. Kudos and thanks to the person maintaining it!
    </p>

    <p class="my-4">
      They are available for download, under the
      <a href="http://www.opendatacommons.org/licenses/odbl/">
        Open Database License v1.0
      </a>
      (ODBL).
      <button
        class="btn inline-block"
        @click="showDownload = true"
      >
        Download
      </button>
    </p>

    <modal v-model="showDownload">
      <div class="p-2">
        <ul
          v-for="d of datasets"
          :key="d.name"
          class="list-reset"
        >
          <li
            v-if="d == dataset"
            class="font-bold my-2"
          >
            <a :href="d.url">
              {{ d.longName }} (current)
            </a>
          </li>

          <li
            v-else
            class="my-2"
          >
            <a :href="d.url">
              {{ d.longName }}
            </a>
          </li>
        </ul>
      </div>
    </modal>

    <section class="my-4">
      <h2>
        References
      </h2>

      <ul>
        <li class="my-4">
          Charles de Lacombe, Antoine Morel, Adnene Belfodil, Philippe Lamarre,
          François Portet, et al.. [Demonstration - Best Demo Award] Analyse de
          comportements relatifs exceptionnels expliquée par des textes : les
          votes du parlement européen. Extraction et Gestion des connaissances
          (EGC), Jan 2019, Metz, France. pp.437--440, RNTI.
          <a
            rel="external"
            href="https://hal.archives-ouvertes.fr/hal-02009172"
          >
            (link)
          </a>
        </li>

        <li class="my-4">
          Adnene Belfodil, Sylvie Cazalens, Philippe Lamarre, Marc Plantevit.
          Flash points: Discovering exceptional pairwise behaviors in vote or
          rating data. <em>ECML/PKDD</em>, Sep 2017, Skopje, Macedonia.
          pp.442-458
          <a
            rel="external"
            href="https://hal.archives-ouvertes.fr/hal-01587041/"
          >
            (link)
          </a>
        </li>

        <li class="my-4">
          Albert Gatt and Ehud Reiter. Simplenlg : A realisation engine for
          practical applications. In
          <em>
            Proceedings of the 12th European Workshop on Natural Language Generation
          </em>, ENLG ’09, pages 90–93, Stroudsburg, PA, USA, 2009. Association
          for Computational Linguistics.
          <a
            rel="external"
            href="https://aclanthology.coli.uni-saarland.de/papers/W09-0613/w09-0613"
          >
            (link)
          </a>
        </li>
      </ul>
    </section>
  </main>
</template>

<script lang="ts">
import { Vue, Component, Watch } from 'vue-property-decorator'
import { State } from 'vuex-class'

import Modal from '@/components/Modal.vue'

@Component({
  components: {
    Modal
  }
})
export default class About extends Vue {
  @State dataset
  @State datasets

  showDownload = false
}
</script>
